org.apache.jmeter.gui.action.validation

## Class TreeClonerForValidation

- java.lang.Object
- - org.apache.jmeter.engine.TreeCloner
  - - org.apache.jmeter.gui.action.validation.TreeClonerForValidation

All Implemented Interfaces:
  HashTreeTraverser

Direct Known Subclasses:
  ComponentTreeClonerForValidation

    public class TreeClonerForValidation
    extends TreeCloner

Clones the test tree, skipping test elements that implement `Timer` by default.

Since:
  3.0

### Field Summary

Fields
`protected static boolean` `VALIDATION_IGNORE_BACKENDS` Ignore or not Backend during a Thread Group validation
`protected static boolean` `VALIDATION_IGNORE_TIMERS` Ignore or not timers during a Thread Group validation
`protected static int` `VALIDATION_ITERATIONS` Number of iterations to run during a Thread Group validation
`protected static int` `VALIDATION_NUMBER_OF_THREADS` Number of Threads to configure when running a Thread Group during a validation

### Constructor Summary

Constructors
Constructor and Description
`TreeClonerForValidation()`
`TreeClonerForValidation(boolean honourNoThreadClone)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Object` `addNodeToTree(Object node)`

### Methods inherited from class org.apache.jmeter.engine.TreeCloner

`addNode, getClonedTree, processPath, subtractNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VALIDATION_NUMBER_OF_THREADS

    protected static final int VALIDATION_NUMBER_OF_THREADS

Number of Threads to configure when running a Thread Group during a validation

#### VALIDATION_IGNORE_TIMERS

    protected static final boolean VALIDATION_IGNORE_TIMERS

Ignore or not timers during a Thread Group validation

#### VALIDATION_IGNORE_BACKENDS

    protected static final boolean VALIDATION_IGNORE_BACKENDS

Ignore or not Backend during a Thread Group validation

#### VALIDATION_ITERATIONS

    protected static final int VALIDATION_ITERATIONS

Number of iterations to run during a Thread Group validation

### Constructor Detail

#### TreeClonerForValidation

    public TreeClonerForValidation()

#### TreeClonerForValidation

    public TreeClonerForValidation(boolean honourNoThreadClone)

### Method Detail

#### addNodeToTree

    protected Object addNodeToTree(Object node)

Overrides:
  `addNodeToTree` in class `TreeCloner`
Parameters:
  `node` - Node to add to tree or not
Returns:
  Object node (clone or not)
See Also:
  `TreeCloner.addNodeToTree(java.lang.Object)`